Перейти к содержимому

debug_node_api.debug_generate_blocks_until ​

disabled

Defined in the steem source (52dcfabb); the debug_node plugin is not enabled on public nodes.

Purpose ​

Генерирует блоки (block) локально до заданного времени головного блока (head block). Может генерировать их с пропусками.

Parameters ​

PARAMETERS
json
{
  "debug_key": "",
  "head_block_time": "1970-01-01T00:00:00",
  "generate_sparsely": true
}

⚠ Определён в исходном коде steem, но не включён на публичных узлах.

Example ​

BASH
bash
# NOTE: this method is no longer served by public nodes
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "debug_node_api.debug_generate_blocks_until",
    "params": {
      "debug_key": "",
      "head_block_time": "1970-01-01T00:00:00",
      "generate_sparsely": true
    },
    "id": 1
  }'

Response ​

RESPONSE
json
{
  "blocks": 0
}